This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 107737 - ESS maestro oopses on shutdown
ESS maestro oopses on shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 11:28 EDT by Michael K. Johnson
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 00:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 2003-10-22 11:28:48 EDT
Booted 2.4.22-1.2097.nptl with acpi=on for test on Inspiron 8000 laptop.
Normal boot (without acpi=on) shut down fine, but this one oopsed.

typing by hand:

Halting system...
flushing ide devices: hda hdc
Power down.
Unable to handle kernel paging request at virtual address 6b6b6b7b
 printing eip:
c01ec40e
*pde = 00000000
Oops: 0000
maestro soundcore ide-cd cdrom binfmt_misc lp parport autofs xircom_cb floppy sg
scsi_mod microcode loop lvm-mod keybdev mousedev hid input usb-uhci usbcore t
CPI:    0
EIP:    0060:[<c01ec40e>]    Not tainted
EFLAGS: 00010082

EIP is at pci_read_config_byte [kernel] 0xe (2.4.22-1.2097.nptl)
eac: 6b6b6b6b   ebx: 00000082   ecx: 00000002   edx: 6b6b6b6b
esi: ca737000   edi: 00000000   ebp: ca737000   esp: d02e9dbc
ds: 0068   es: 0068   ss: 0068
Process halt (pid: 1574, stackpage=d02e9000)
Stack: 00000000 00000019 00000202 0000ffff d49cb9b3 6b6b6b6b 6b6b6b6f d02e9deb
   ...
Call Trace:   [<d49cb9b3>] maestro_power [maestro] 0x63 (0xd02e9dcc)
[<c01ed7ff>] pci_pm_save_state_bus [kernel] 0x4f (0xd02e9de8)
[<d49cd24e>] maestro_suspend [maestro] 0x2e (0xd02e9df8)
[<c01ed7ff>] pci_pm_save_state_bus [kernel] 0x4f (0xd02e9e04)
[<d49cb6ca>] maestro_pm_callback [maestro] 0x4a (0xd02e9e24)
[<c012f262>] pm_send [kernel] 0x72 (0xd02e9ec3)
... pm_send_all ...
... acpi_system_save_state ...
... acpi_suspend ...
... acpi_power_off ...
... machine_power_off ...
... sys_reboot ...
... wake_up_process_kick ...
... __group_send_sig_info ...
... kill_proc_info ...
... sys_kill ...
... dput ...
... fput ...
... filp_close ...
... sys_close ...
... system_call ...

Code: 8b 42 10 8b 48 30 89 14 24 8b 44 24 1c 89 44 24 08 8b 44 24
Comment 1 Len Brown 2004-03-24 03:06:52 EST
this looks specific to the maestro driver.
Comment 2 Dave Jones 2004-12-08 00:24:35 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.